
Redmine - Defect #3156

Right click edits reset filter parameters in issue list

2009-04-11 01:18 - Reach Everywhere

Status: Closed Start date: 2009-04-11

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

We have encountered something and it strikes me as quite a noticeable bug, but I searched the bug list and couldn't find anything

relating to right click edits and issue filters.

Basically the problem is this - If I view a list of issues, I can apply filters, and everything is great.  Works fine for both viewing all

issues and for saved searches.  The problem comes when I do a right click to change the Target Version, or Priority, or anything at

all.  If the search is saved, there is no problem; redmine updates the ticket and reloads the search, and it gets new results.  But if I

have applied additional filters to my search since first opening the issues tab, and then go to right click edit, my filters are lost.

This seems like a bug to me since I would imagine that half the point of right click editing is to enable us to create a filtered list and

then apply some change to everything or some of the things in the list, and then reassess what remains.

Version information below; I hope I'm not creating a duplicate ticket.  And many thanks for a seriously great product!

mysql  Ver 14.12 Distrib 5.0.22, for pc-linux-gnu (x86_64) using readline 5.1

your Ruby version: ruby 1.8.4 (2005-12-24) [x86_64-linux]

your Redmine version: 0.8.0.stable

We have one patch applied (#1717) but we had this problem both before and after applying the patch.

History

#1 - 2009-04-16 17:28 - Reach Everywhere

We found a workaround for this, although I'm pretty sure this is still a bug.

Basically if you set up your filter, hit apply, and then click the Issues tab AGAIN it will remember the filter state.  If you just set up a filter, and then hit

apply, and then right click to change an issue, you will encounter this problem.

#2 - 2009-05-28 18:27 - Reach Everywhere

- Assignee set to Jean-Philippe Lang

#3 - 2009-06-29 13:27 - Raphael Barabas

This workaround can't be applied if no project is selected.

Workflow to reproduce:

View all tickets (do not select a project)

Filter all open tickets assigned to John Doe

Now right-click a ticket, change something (e.g. status)

The page will reload, but the filter is gone

This is very annoying if many tickets assigned to one person need to be closed/changed.

I am using Redmine 0.8.2

#4 - 2010-04-16 02:38 - Anonymous

This is still a problem as of recent git, commit f3e375275964fe58b3962cffd33f89ba156e637e.

It's slightly more incorrect than the summary states, too.  If you right-click and edit an issue that's in a subproject, you'll be redirected to a fresh issue

list for that subproject.
https://www.redmine.org/issues/1717


#5 - 2010-10-17 23:09 - Jean-Baptiste Barth

- Status changed from New to 7

- Assignee changed from Jean-Philippe Lang to Jean-Baptiste Barth

- Affected version (unused) changed from 0.8.0 to devel

Will take a look at it, I confirm it's pretty annoying. I'll provide a cleaner summary on what's working and what's not too.

#6 - 2011-06-20 02:07 - Jean-Baptiste Barth

- Status changed from 7 to Closed

- % Done changed from 0 to 100

- Resolution set to Fixed

It's fixed in trunk and in stable (since 1.1.3 I think), now filters and sort options are kept in the URL. Please re-open if it's still happening.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

